Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActRelationshipPatientTransport

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActRelationshipPatientTransport

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActRelationshipPatientTransport

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Relationship Patient Transport', and utility methods for working with them. abstDomain: V19005 (C-0-D10317-V19005-cpt)

See Also:
  `CDAR2Package.getXActRelationshipPatientTransport()`

Field Summary
`static int` | `ARR` The 'ARR' literal value.
`static XActRelationshipPatientTransport` | `ARR_LITERAL` The 'ARR' literal object.
`static int` | `DEP` The 'DEP' literal value.
`static XActRelationshipPatientTransport` | `DEP_LITERAL` The 'DEP' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Relationship Patient Transport' enumerators.

Method Summary
`static XActRelationshipPatientTransport` | `get(int value)` Returns the 'XAct Relationship Patient Transport' literal with the specified integer value.
`static XActRelationshipPatientTransport` | `get(java.lang.String literal)` Returns the 'XAct Relationship Patient Transport' literal with the specified literal value.
`static XActRelationshipPatientTransport` | `getByName(java.lang.String name)` Returns the 'XAct Relationship Patient Transport' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARR

    public static final int ARR

  The 'ARR' literal value.

  If the meaning of 'ARR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ARR_LITERAL`, Constant Field Values

### DEP

    public static final int DEP

  The 'DEP' literal value.

  If the meaning of 'DEP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEP_LITERAL`, Constant Field Values

### ARR_LITERAL

    public static final XActRelationshipPatientTransport ARR_LITERAL

  The 'ARR' literal object.

  See Also:
    `ARR`

### DEP_LITERAL

    public static final XActRelationshipPatientTransport DEP_LITERAL

  The 'DEP' literal object.

  See Also:
    `DEP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Relationship Patient Transport' enumerators.

Method Detail

### get

    public static XActRelationshipPatientTransport get(java.lang.String literal)

  Returns the 'XAct Relationship Patient Transport' literal with the specified literal value.

### getByName

    public static XActRelationshipPatientTransport getByName(java.lang.String name)

  Returns the 'XAct Relationship Patient Transport' literal with the specified name.

### get

    public static XActRelationshipPatientTransport get(int value)

  Returns the 'XAct Relationship Patient Transport' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD